Subject: Re: [PATCH/RFC] Modify sched_clock() to make CONFIG_PRINTK_TIME more sane.

From: [email-masked] (Tony Breeds)
Date: Thu, 21 Jun 2007 14:29:10 +1000

On Wed, Jun 20, 2007 at 09:37:51AM +0200, Geert Uytterhoeven wrote:

Hi Geert,
 
> Just wondering, does the INITIAL_JIFFIES mechanism to catch wrap bugs still
> work after this patch?
> 
> include/linux/jiffies.h:
> | /*
> |  * Have the 32 bit jiffies value wrap 5 minutes after boot
> |  * so jiffies wrap bugs show up earlier.
> |  */
> | #define INITIAL_JIFFIES ((unsigned long)(unsigned int) (-300*HZ))

I've done a quick check and I can't see how my patch would break
anything,  given that sched_clock() on powerpc returns a timebase value
generally not related to jiffies.

I hope I haven't missed anything.

Yours Tony

  linux.conf.au        http://linux.conf.au/ || http://lca2008.linux.org.au/
  Jan 28 - Feb 02 2008 The Australian Linux Technical Conference!